import { HTMLAttributes, ReactElement } from 'react';
import { IconWrapperProps } from '../../icon/icon.types';

export type SegmentedButton = IconWrapperProps & {
    icon?: string;
    centralRipple?: boolean;
};

export interface SegmentedButtons {
    children?: ReactElement<HTMLButtonElement>[];
}

export type SegmentedButtonsProps = SegmentedButtons &
    HTMLAttributes<HTMLDivElement>;
